Redmine - Patch #35373

Improve project deletion warning text
2021-06-08 14:53 - Felix Schafer

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

This is related to #34417

The information text when deleting the user clearly states that deleting the user cannot be undone and that locking the user would be
an alternative. This patch adds similar text stating the finality of deleting a project and the alternative of archiving the project to the
project deletion information text.

Related issues:
Related to Redmine - Feature #34417: Require explicit confirmation when delet... Closed

History

#1 - 2021-06-08 14:53 - Felix Schafer
- File 35373.patch added

#2 - 2021-06-08 15:23 - Felix Schéfer
- File 35373-1.patch added
- File Bildschirmfoto 2021-06-08 um 15.22.32.png added

The attached patch adds an "archive" link to the project deletion form. The guard for if the user is an admin is necessary because only admins can
archive a project but non-admin users might be able to delete projects.

We can furthermore offer CSS to make the archive link resemble a button and to add an alert colour to the "delete" button of the project and user
destroy pages. Please let me know if we should work on and provide such CSS.

#3 - 2021-06-09 09:29 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2021-06-20 08:42 - Go MAEDA

- Related to Feature #34417: Require explicit confirmation when deleting a user or a project added

#5 - 2021-06-20 09:07 - Go MAEDA
35373-1.patch does not render the "Archive" link as a button but as a text link.

How about using submit_tag instead of link_to in order to render the "Archive" as a button and for the consistency with
app/views/users/destroy.html.erb?

diff --git a/app/views/projects/destroy.html.erb b/app/views/projects/destroy.html.erb
index £2c97449b..043cblc5c 100644

--— a/app/views/projects/destroy.html.erb

+++ b/app/views/projects/destroy.html.erb

@@ -26,6 +26,9 Q@

<%= submit_tag 1l (:button_delete) %>
+ <% if User.current.admin? and !@project_to_destroy.archived? %>
+ <%= submit_tag 1l (:button_archive), name: 'archive' %>
+ <% end %>
<%= link_to 1l (:button_cancel), User.current.admin? ? admin_projects_path : projects_path %>
</p>
<% end %>

#6 - 2021-06-26 12:05 - Felix Schafer
https://www.redmine.org/issues/34417
https://www.redmine.org/attachments/27483

Go MAEDA wrote:
35373-1.patch does not render the "Archive" link as a button but as a text link.
How about using submit_tag instead of link_to in order to render the "Archive" as a button and for the consistency with
app/views/users/destroy.html.erb?

This is a good idea but would require patching the ProjectsController too, as ProjectsController#destroy does not understand archiving a project. Or

we could wrap another form around the archive button.

Should we look into adapting the patch this way?

Files

35373.patch 2.73 KB 2021-06-08 Felix Schéafer
35373-1.patch 1.09 KB 2021-06-08 Felix Schéfer
Bildschirmfoto 2021-06-08 um 15.22.32.png 6.93 KB 2021-06-08 Felix Schafer
